/*********************************************************
*Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/10/08
*描  述:  单电源供电sleep例程，程序功能如下：
              1.上电初始化后，LD1亮2s灭1s；
              2.进入主循环，LD1快速闪烁10次，然后进入深睡眠。
          唤醒源：
              PINT；
              KINT；

          接线：
              PINT：PA0，上升沿；
              KINT：PA3，上升沿。

*备  注:  适用于HRSDK-GDB-ES8P508x
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main(void)
{
    uint8_t i;

    SystemClockConfig();                //配置时钟
    DeviceClockAllEnable();             //打开所有外设时钟
    SysTickInit();                      //系统滴答初始化

    /* 配置唤醒源PINT/KINT/IWDT以及LED，初始化完成后LED亮2s灭1s */
    LightInit();
    LightOn();
    Delay1ms(2000);
    LightOff();
    Delay1ms(1000);
    KINTx_Init();
    PINTx_Init();

    while (1)
    {
        for (i = 0; i < 10; i++)
        {
            LightOn();
            Delay1ms(100);
            LightOff();
            Delay1ms(100);
        }

        /* 系统进入深睡 */
        deep_sleep();
    }
}
